Package com.verisign.epp.serverstub

## Class ContactPollHandler

- java.lang.Object
- - com.verisign.epp.serverstub.ContactPollHandler

- All Implemented Interfaces:
    `EPPPollHandler`

      public class ContactPollHandler
      extends java.lang.Object
      implements EPPPollHandler

  The <ContactPollHandler> implements EPPPollHandler for Contact name mapping only.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContactPollHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getKind()` | Gets the kind of poll handler.
    `EPPResponse` | `toResponse​(EPPPollDataRecord aRecord)` | Converts the internal poll data record to a valid `EPPResponse`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContactPollHandler

          public ContactPollHandler()

  - ### Method Detail

    - #### getKind

          public java.lang.String getKind()

      Gets the kind of poll handler. The kind value is used for routing poll messaging to the appropriate handler. Client inserting poll messaging should reference the correct value for the message kind to ensure that there is a handler that can handle the message.
      Specified by:
        `getKind` in interface `EPPPollHandler`
      Returns:
        EPPPollHandler kind which should be unique per handler

    - #### toResponse

          public EPPResponse toResponse​(EPPPollDataRecord aRecord)
                                 throws EPPPollQueueException

      Converts the internal poll data record to a valid `EPPResponse`.
      Specified by:
        `toResponse` in interface `EPPPollHandler`
      Parameters:
        `aRecord` - Poll data record containing poll queue meta information like the number of messages in the queue as well as the concrete poll message to be converted to an `EPPResponse`.
      Returns:
        `EPPResponse` representing the poll message.
      Throws:
        `EPPPollQueueException` - Error converting record to an `EPPResponse`